# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'ImageMachineAgg'
        db.create_table('image_machine_agg', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('image', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['bootspeed.Image'])),
            ('machine', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['bootspeed.Machine'])),
            ('kernel_min', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('kernel_max', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('kernel_avg', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('kernel_std', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('kernel_init_min', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('kernel_init_max', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('kernel_init_avg', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('kernel_init_std', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('plumbing_min', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('plumbing_max', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('plumbing_avg', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('plumbing_std', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('xorg_min', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('xorg_max', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('xorg_avg', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('xorg_std', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('desktop_min', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('desktop_max', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('desktop_avg', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('desktop_std', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('boot_min', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('boot_max', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('boot_avg', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('boot_std', self.gf('django.db.models.fields.FloatField')(default=0)),
        ))
        db.send_create_signal('bootspeed', ['ImageMachineAgg'])


    def backwards(self, orm):
        # Deleting model 'ImageMachineAgg'
        db.delete_table('image_machine_agg')


    models = {
        'bootspeed.image': {
            'Meta': {'unique_together': "(('release', 'variant', 'arch', 'build_number'),)", 'object_name': 'Image', 'db_table': "'images'"},
            'arch': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'build_number': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'md5': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'variant': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        'bootspeed.imagemachineagg': {
            'Meta': {'object_name': 'ImageMachineAgg', 'db_table': "'image_machine_agg'"},
            'boot_avg': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'boot_max': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'boot_min': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'boot_std': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'desktop_avg': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'desktop_max': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'desktop_min': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'desktop_std': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['bootspeed.Image']"}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'kernel_avg': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'kernel_init_avg': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'kernel_init_max': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'kernel_init_min': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'kernel_init_std': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'kernel_max': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'kernel_min': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'kernel_std': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'machine': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['bootspeed.Machine']"}),
            'plumbing_avg': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'plumbing_max': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'plumbing_min': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'plumbing_std': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'xorg_avg': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'xorg_max': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'xorg_min': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'xorg_std': ('django.db.models.fields.FloatField', [], {'default': '0'})
        },
        'bootspeed.imageresult': {
            'Meta': {'object_name': 'ImageResult', 'db_table': "'images_results'"},
            'boot': ('django.db.models.fields.FloatField', [], {}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'desktop': ('django.db.models.fields.FloatField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['bootspeed.Image']"}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'kernel': ('django.db.models.fields.FloatField', [], {}),
            'kernel_init': ('django.db.models.fields.FloatField', [], {}),
            'machine': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['bootspeed.Machine']"}),
            'plumbing': ('django.db.models.fields.FloatField', [], {}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'xorg': ('django.db.models.fields.FloatField', [], {})
        },
        'bootspeed.machine': {
            'Meta': {'object_name': 'Machine', 'db_table': "'machines'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'mac_address': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        }
    }

    complete_apps = ['bootspeed']