import django_tables2 as tables


class MachineTable(tables.Table):
    image__build_number = tables.Column(verbose_name="Build Number")
    image__release = tables.Column()
    image__variant = tables.Column()
    image__arch = tables.Column()
    kernel_init = tables.TemplateColumn(
        '{{ record.kernel_init|floatformat:2 }}',
        attrs={'td': {'class': 'num'}},
    )
    kernel = tables.TemplateColumn(
        '{{ record.kernel|floatformat:2 }}',
        attrs={'td': {'class': 'num'}},
    )
    plumbing = tables.TemplateColumn(
        '{{ record.plumbing|floatformat:2 }}',
        attrs={'td': {'class': 'num'}},
    )
    xorg = tables.TemplateColumn(
        '{{ record.xorg|floatformat:2 }}',
        attrs={'td': {'class': 'num'}},
    )
    desktop = tables.TemplateColumn(
        '{{ record.desktop|floatformat:2 }}',
        attrs={'td': {'class': 'num'}},
    )
    boot = tables.TemplateColumn(
        '{{ record.boot|floatformat:2 }}',
        attrs={'td': {'class': 'num'}},
    )
    files = tables.TemplateColumn('{{ record.files|safe }}')

    class Meta:
        attrs = {'class': 'basic wide'}
        order_by = ('-image__build_number',)
