# QA Dashboard
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from common.models import (
    Bug,
    JenkinsJob,
    JenkinsBuild,
)

from django.contrib import admin


class BugAdmin(admin.ModelAdmin):
    list_display = ('bug_no', 'status')
    list_filter = ['status']
    search_fields = ['bug_no']


class JenkinsJobAdmin(admin.ModelAdmin):
    list_display = ('name', 'url', 'bug_count')
    search_fields = ['name', 'url']


class JenkinsBuildAdmin(admin.ModelAdmin):
    list_display = (
        'build_number',
        'job',
        'failed',
        'ran_at',
    )

    list_filter = [
        'failed',
        'job',
    ]
    date_hierarchy = 'ran_at'

admin.site.register(Bug, BugAdmin)
admin.site.register(JenkinsJob, JenkinsJobAdmin)
admin.site.register(JenkinsBuild, JenkinsBuildAdmin)
