# QA Dashboard
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.test import TestCase

from common.templatetags.dashboard_extras import binary_suffix


class TestDashboardExtras(TestCase):

    def test_binary_suffix(self):
        self.assertEqual(binary_suffix(1024), '1M')
        self.assertEqual(binary_suffix(1025), '1M')
        self.assertEqual(binary_suffix(1525), '1.49M')
        self.assertEqual(binary_suffix(1), '1K')
        self.assertEqual(binary_suffix(1023), '1023K')
        self.assertEqual(binary_suffix(4096), '4M')
        self.assertEqual(binary_suffix(1048576), '1G')
        self.assertEqual(binary_suffix(1073741824), '1T')
        self.assertEqual(binary_suffix(1099511627776), '1P')
        self.assertEqual(binary_suffix(1125899906842624), '1125899906842624K')

