# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'EventstatMachine'
        db.create_table('eventstat_machines', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=200)),
            ('mac_address', self.gf('django.db.models.fields.CharField')(max_length=200)),
        ))
        db.send_create_signal('eventstat', ['EventstatMachine'])

        # Adding model 'EventstatImage'
        db.create_table('eventstat_image', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('release', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('variant', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('arch', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('md5', self.gf('django.db.models.fields.CharField')(unique=True, max_length=200)),
            ('build_number', self.gf('django.db.models.fields.CharField')(max_length=50)),
            ('image_type', self.gf('django.db.models.fields.CharField')(default=u'daily', max_length=10)),
        ))
        db.send_create_signal('eventstat', ['EventstatImage'])

        # Adding model 'EventstatUpgrade'
        db.create_table('eventstat_upgrade', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('release', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('variant', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('arch', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('from_release', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('date', self.gf('django.db.models.fields.DateTimeField')()),
        ))
        db.send_create_signal('eventstat', ['EventstatUpgrade'])

        # Adding model 'EventstatDetail'
        db.create_table('eventstat_details', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('image', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['eventstat.EventstatImage'], null=True)),
            ('upgrade', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['eventstat.EventstatUpgrade'], null=True)),
            ('machine', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['eventstat.EventstatMachine'])),
            ('task', self.gf('django.db.models.fields.CharField')(max_length=1024)),
            ('command', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('task_type', self.gf('django.db.models.fields.CharField')(default=[('Kernel', 'kernel')], max_length=100)),
            ('init_function', self.gf('django.db.models.fields.CharField')(max_length=1024)),
            ('callback', self.gf('django.db.models.fields.CharField')(max_length=1024)),
            ('total', self.gf('django.db.models.fields.PositiveIntegerField')()),
            ('interval', self.gf('django.db.models.fields.PositiveIntegerField')()),
            ('ran_at', self.gf('django.db.models.fields.DateTimeField')()),
            ('result', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['eventstat.EventstatResult'])),
        ))
        db.send_create_signal('eventstat', ['EventstatDetail'])

        # Adding model 'EventstatResult'
        db.create_table('eventstat_results', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('value', self.gf('django.db.models.fields.FloatField')()),
            ('ran_at', self.gf('django.db.models.fields.DateTimeField')()),
            ('jenkins_url', self.gf('django.db.models.fields.URLField')(max_length=200, null=True)),
            ('image', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['eventstat.EventstatImage'], null=True)),
            ('upgrade', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['eventstat.EventstatUpgrade'], null=True)),
            ('machine', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['eventstat.EventstatMachine'])),
            ('kernel', self.gf('django.db.models.fields.CharField')(max_length=100, null=True)),
            ('metric', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['eventstat.EventstatMetric'])),
            ('log', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['eventstat.EventstatLog'], null=True)),
            ('interval', self.gf('django.db.models.fields.PositiveIntegerField')()),
            ('task', self.gf('django.db.models.fields.CharField')(max_length=1024)),
            ('command', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('task_type', self.gf('django.db.models.fields.CharField')(default=[('Kernel', 'kernel')], max_length=100)),
            ('init_function', self.gf('django.db.models.fields.CharField')(max_length=1024)),
            ('callback', self.gf('django.db.models.fields.CharField')(max_length=1024)),
        ))
        db.send_create_signal('eventstat', ['EventstatResult'])

        # Adding model 'EventstatMetric'
        db.create_table('eventstat_metrics', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('minimum', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('maximum', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('average', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('stddev', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('ran_at', self.gf('django.db.models.fields.DateTimeField')()),
            ('jenkins_url', self.gf('django.db.models.fields.URLField')(max_length=200, null=True)),
            ('image', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['eventstat.EventstatImage'], null=True)),
            ('upgrade', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['eventstat.EventstatUpgrade'], null=True)),
            ('machine', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['eventstat.EventstatMachine'])),
            ('kernel', self.gf('django.db.models.fields.CharField')(max_length=100, null=True)),
        ))
        db.send_create_signal('eventstat', ['EventstatMetric'])

        # Adding model 'EventstatLog'
        db.create_table('eventstat_logs', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('path', self.gf('django.db.models.fields.CharField')(max_length=512)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
        ))
        db.send_create_signal('eventstat', ['EventstatLog'])


    def backwards(self, orm):
        # Deleting model 'EventstatMachine'
        db.delete_table('eventstat_machines')

        # Deleting model 'EventstatImage'
        db.delete_table('eventstat_image')

        # Deleting model 'EventstatUpgrade'
        db.delete_table('eventstat_upgrade')

        # Deleting model 'EventstatDetail'
        db.delete_table('eventstat_details')

        # Deleting model 'EventstatResult'
        db.delete_table('eventstat_results')

        # Deleting model 'EventstatMetric'
        db.delete_table('eventstat_metrics')

        # Deleting model 'EventstatLog'
        db.delete_table('eventstat_logs')


    models = {
        'eventstat.eventstatdetail': {
            'Meta': {'object_name': 'EventstatDetail', 'db_table': "'eventstat_details'"},
            'callback': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'command': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['eventstat.EventstatImage']", 'null': 'True'}),
            'init_function': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'interval': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'machine': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['eventstat.EventstatMachine']"}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'result': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['eventstat.EventstatResult']"}),
            'task': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'task_type': ('django.db.models.fields.CharField', [], {'default': "[('Kernel', 'kernel')]", 'max_length': '100'}),
            'total': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'upgrade': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['eventstat.EventstatUpgrade']", 'null': 'True'})
        },
        'eventstat.eventstatimage': {
            'Meta': {'object_name': 'EventstatImage', 'db_table': "'eventstat_image'"},
            'arch': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'build_number': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image_type': ('django.db.models.fields.CharField', [], {'default': "u'daily'", 'max_length': '10'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'md5': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'variant': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        'eventstat.eventstatlog': {
            'Meta': {'object_name': 'EventstatLog', 'db_table': "'eventstat_logs'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'path': ('django.db.models.fields.CharField', [], {'max_length': '512'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'eventstat.eventstatmachine': {
            'Meta': {'object_name': 'EventstatMachine', 'db_table': "'eventstat_machines'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'mac_address': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'eventstat.eventstatmetric': {
            'Meta': {'object_name': 'EventstatMetric', 'db_table': "'eventstat_metrics'"},
            'average': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['eventstat.EventstatImage']", 'null': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'jenkins_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True'}),
            'kernel': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True'}),
            'machine': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['eventstat.EventstatMachine']"}),
            'maximum': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'minimum': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'stddev': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'upgrade': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['eventstat.EventstatUpgrade']", 'null': 'True'})
        },
        'eventstat.eventstatresult': {
            'Meta': {'object_name': 'EventstatResult', 'db_table': "'eventstat_results'"},
            'callback': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'command': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['eventstat.EventstatImage']", 'null': 'True'}),
            'init_function': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'interval': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'jenkins_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True'}),
            'kernel': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True'}),
            'log': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['eventstat.EventstatLog']", 'null': 'True'}),
            'machine': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['eventstat.EventstatMachine']"}),
            'metric': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['eventstat.EventstatMetric']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'task': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'task_type': ('django.db.models.fields.CharField', [], {'default': "[('Kernel', 'kernel')]", 'max_length': '100'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'upgrade': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['eventstat.EventstatUpgrade']", 'null': 'True'}),
            'value': ('django.db.models.fields.FloatField', [], {})
        },
        'eventstat.eventstatupgrade': {
            'Meta': {'object_name': 'EventstatUpgrade', 'db_table': "'eventstat_upgrade'"},
            'arch': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'date': ('django.db.models.fields.DateTimeField', [], {}),
            'from_release': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'variant': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        }
    }

    complete_apps = ['eventstat']