import os
import sys

sys.path.append(os.path.join(os.path.dirname(__file__), '..', '..'))
os.environ['DJANGO_SETTINGS_MODULE'] = 'qa_dashboard.settings'

from eventstat.models import (
    EventstatImage,
    EventstatMachine,
    EventstatMetric,
    EventstatResult,
)

print("Results")
for r in EventstatResult.objects.filter(publish=True):
    print("  r.image: {}".format(r.image))
    print("  r.upgrade: {}".format(r.upgrade))
    print("  r.machine: {}".format(r.machine))
    print("  r.name: {}".format(r.name))
    print("  r.interval: {}".format(r.interval))
    print("  r.value: {}".format(r.value))

print("Metrics")
for m in EventstatMetric.objects.filter(publish=True):
    print("  m.image: {}".format(m.image))
    print("  m.upgrade: {}".format(m.upgrade))
    print("  m.machine: {}".format(m.machine))
    print("  m.name: {}".format(m.name))
    print("  m.maximum: {}".format(m.maximum))
    print("  m.minimum: {}".format(m.minimum))
    print("  m.average: {}".format(m.average))
    print("  m.stddev: {}".format(m.stddev))

print("Images")
for i in EventstatImage.objects.filter(publish=True):
    print("  image: {}".format(i))

print("Machines")
for m in EventstatMachine.objects.filter(publish=True):
    print("  machine: {}".format(m))

print("Non-published Results")
for r in EventstatResult.objects.filter(publish=False):
    print("  result: {}".format(r))

print("Non-published Metrics")
for m in EventstatMetric.objects.filter(publish=False):
    print("  metric: {}".format(m))
