# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'MemoryUpgrade'
        db.create_table('memory_upgrades', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('release', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('variant', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('arch', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('from_release', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('date', self.gf('django.db.models.fields.DateTimeField')()),
        ))
        db.send_create_signal('memory', ['MemoryUpgrade'])

        # Adding model 'MemoryImage'
        db.create_table('memory_images', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('release', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('variant', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('arch', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('md5', self.gf('django.db.models.fields.CharField')(unique=True, max_length=200)),
            ('build_number', self.gf('django.db.models.fields.CharField')(max_length=50)),
            ('image_type', self.gf('django.db.models.fields.CharField')(default=u'daily', max_length=10)),
        ))
        db.send_create_signal('memory', ['MemoryImage'])

        # Adding model 'MemoryMachine'
        db.create_table('memory_machines', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=200)),
            ('mac_address', self.gf('django.db.models.fields.CharField')(max_length=200)),
        ))
        db.send_create_signal('memory', ['MemoryMachine'])

        # Adding model 'MemoryLog'
        db.create_table('memory_logs', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('path', self.gf('django.db.models.fields.CharField')(max_length=512)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
        ))
        db.send_create_signal('memory', ['MemoryLog'])

        # Adding model 'MemoryDetail'
        db.create_table('memory_details', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('image', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['memory.MemoryImage'], null=True)),
            ('upgrade', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['memory.MemoryUpgrade'], null=True)),
            ('machine', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['memory.MemoryMachine'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=1024)),
            ('command', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('uss', self.gf('django.db.models.fields.PositiveIntegerField')()),
            ('pss', self.gf('django.db.models.fields.PositiveIntegerField')()),
            ('rss', self.gf('django.db.models.fields.PositiveIntegerField')()),
            ('vss', self.gf('django.db.models.fields.PositiveIntegerField')()),
            ('ran_at', self.gf('django.db.models.fields.DateTimeField')()),
            ('result', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['memory.MemoryResult'])),
        ))
        db.send_create_signal('memory', ['MemoryDetail'])

        # Adding model 'MemoryResult'
        db.create_table('memory_results', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('value', self.gf('django.db.models.fields.FloatField')()),
            ('ran_at', self.gf('django.db.models.fields.DateTimeField')()),
            ('jenkins_url', self.gf('django.db.models.fields.URLField')(max_length=200, null=True)),
            ('image', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['memory.MemoryImage'], null=True)),
            ('upgrade', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['memory.MemoryUpgrade'], null=True)),
            ('machine', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['memory.MemoryMachine'])),
            ('kernel', self.gf('django.db.models.fields.CharField')(max_length=100, null=True)),
            ('metric', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['memory.MemoryMetric'])),
            ('log', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['memory.MemoryLog'])),
        ))
        db.send_create_signal('memory', ['MemoryResult'])

        # Adding model 'MemoryMetric'
        db.create_table('memory_metrics', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('minimum', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('maximum', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('average', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('stddev', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('ran_at', self.gf('django.db.models.fields.DateTimeField')()),
            ('jenkins_url', self.gf('django.db.models.fields.URLField')(max_length=200, null=True)),
            ('image', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['memory.MemoryImage'], null=True)),
            ('upgrade', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['memory.MemoryUpgrade'], null=True)),
            ('machine', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['memory.MemoryMachine'])),
            ('kernel', self.gf('django.db.models.fields.CharField')(max_length=100, null=True)),
        ))
        db.send_create_signal('memory', ['MemoryMetric'])

        # Adding model 'MemoryBuild'
        db.create_table('memory_builds', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('image', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['memory.MemoryImage'], null=True)),
            ('upgrade', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['memory.MemoryUpgrade'], null=True)),
            ('machine', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['memory.MemoryMachine'])),
            ('build', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['common.JenkinsBuild'])),
        ))
        db.send_create_signal('memory', ['MemoryBuild'])

        # Adding model 'MemoryProcess'
        db.create_table('memory_processes', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('minimum', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('maximum', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('average', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('stddev', self.gf('django.db.models.fields.FloatField')(default=0)),
            ('ran_at', self.gf('django.db.models.fields.DateTimeField')()),
            ('jenkins_url', self.gf('django.db.models.fields.URLField')(max_length=200, null=True)),
            ('image', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['memory.MemoryImage'], null=True)),
            ('upgrade', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['memory.MemoryUpgrade'], null=True)),
            ('machine', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['memory.MemoryMachine'])),
            ('command', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('process', self.gf('django.db.models.fields.CharField')(max_length=1024)),
        ))
        db.send_create_signal('memory', ['MemoryProcess'])


    def backwards(self, orm):
        # Deleting model 'MemoryUpgrade'
        db.delete_table('memory_upgrades')

        # Deleting model 'MemoryImage'
        db.delete_table('memory_images')

        # Deleting model 'MemoryMachine'
        db.delete_table('memory_machines')

        # Deleting model 'MemoryLog'
        db.delete_table('memory_logs')

        # Deleting model 'MemoryDetail'
        db.delete_table('memory_details')

        # Deleting model 'MemoryResult'
        db.delete_table('memory_results')

        # Deleting model 'MemoryMetric'
        db.delete_table('memory_metrics')

        # Deleting model 'MemoryBuild'
        db.delete_table('memory_builds')

        # Deleting model 'MemoryProcess'
        db.delete_table('memory_processes')


    models = {
        'common.bug': {
            'Meta': {'object_name': 'Bug', 'db_table': "'bugs'"},
            'bug_no': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'status': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'common.jenkinsbuild': {
            'Meta': {'unique_together': "(('job', 'build_number'),)", 'object_name': 'JenkinsBuild', 'db_table': "'jenkins_builds'"},
            'bugs': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'build_bugs'", 'symmetrical': 'False', 'to': "orm['common.Bug']"}),
            'build_number': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'failed': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'job': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['common.JenkinsJob']"}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'common.jenkinsjob': {
            'Meta': {'object_name': 'JenkinsJob', 'db_table': "'jenkins_jobs'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '200'})
        },
        'memory.memorybuild': {
            'Meta': {'object_name': 'MemoryBuild', 'db_table': "'memory_builds'"},
            'build': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['common.JenkinsBuild']"}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['memory.MemoryImage']", 'null': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'machine': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['memory.MemoryMachine']"}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'upgrade': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['memory.MemoryUpgrade']", 'null': 'True'})
        },
        'memory.memorydetail': {
            'Meta': {'object_name': 'MemoryDetail', 'db_table': "'memory_details'"},
            'command': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['memory.MemoryImage']", 'null': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'machine': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['memory.MemoryMachine']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'pss': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'result': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['memory.MemoryResult']"}),
            'rss': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'upgrade': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['memory.MemoryUpgrade']", 'null': 'True'}),
            'uss': ('django.db.models.fields.PositiveIntegerField', [], {}),
            'vss': ('django.db.models.fields.PositiveIntegerField', [], {})
        },
        'memory.memoryimage': {
            'Meta': {'object_name': 'MemoryImage', 'db_table': "'memory_images'"},
            'arch': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'build_number': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image_type': ('django.db.models.fields.CharField', [], {'default': "u'daily'", 'max_length': '10'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'md5': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'variant': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        'memory.memorylog': {
            'Meta': {'object_name': 'MemoryLog', 'db_table': "'memory_logs'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'path': ('django.db.models.fields.CharField', [], {'max_length': '512'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'memory.memorymachine': {
            'Meta': {'object_name': 'MemoryMachine', 'db_table': "'memory_machines'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'mac_address': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'memory.memorymetric': {
            'Meta': {'object_name': 'MemoryMetric', 'db_table': "'memory_metrics'"},
            'average': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['memory.MemoryImage']", 'null': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'jenkins_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True'}),
            'kernel': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True'}),
            'machine': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['memory.MemoryMachine']"}),
            'maximum': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'minimum': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'stddev': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'upgrade': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['memory.MemoryUpgrade']", 'null': 'True'})
        },
        'memory.memoryprocess': {
            'Meta': {'object_name': 'MemoryProcess', 'db_table': "'memory_processes'"},
            'average': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'command': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['memory.MemoryImage']", 'null': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'jenkins_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True'}),
            'machine': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['memory.MemoryMachine']"}),
            'maximum': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'minimum': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'process': ('django.db.models.fields.CharField', [], {'max_length': '1024'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'stddev': ('django.db.models.fields.FloatField', [], {'default': '0'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'upgrade': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['memory.MemoryUpgrade']", 'null': 'True'})
        },
        'memory.memoryresult': {
            'Meta': {'object_name': 'MemoryResult', 'db_table': "'memory_results'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['memory.MemoryImage']", 'null': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'jenkins_url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True'}),
            'kernel': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True'}),
            'log': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['memory.MemoryLog']"}),
            'machine': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['memory.MemoryMachine']"}),
            'metric': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['memory.MemoryMetric']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'upgrade': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['memory.MemoryUpgrade']", 'null': 'True'}),
            'value': ('django.db.models.fields.FloatField', [], {})
        },
        'memory.memoryupgrade': {
            'Meta': {'object_name': 'MemoryUpgrade', 'db_table': "'memory_upgrades'"},
            'arch': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'date': ('django.db.models.fields.DateTimeField', [], {}),
            'from_release': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'variant': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        }
    }

    complete_apps = ['memory']