# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'PowerImage'
        db.create_table('power_images', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('release', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('variant', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('arch', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('md5', self.gf('django.db.models.fields.CharField')(unique=True, max_length=200)),
            ('build_number', self.gf('django.db.models.fields.CharField')(max_length=50)),
            ('image_type', self.gf('django.db.models.fields.CharField')(default=u'daily', max_length=10)),
        ))
        db.send_create_signal('power', ['PowerImage'])

        # Adding model 'PowerMachine'
        db.create_table('power_machines', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=200)),
            ('mac_address', self.gf('django.db.models.fields.CharField')(max_length=200)),
        ))
        db.send_create_signal('power', ['PowerMachine'])

        # Adding model 'PowerMetric'
        db.create_table('power_metrics', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('minimum', self.gf('django.db.models.fields.FloatField')()),
            ('maximum', self.gf('django.db.models.fields.FloatField')()),
            ('average', self.gf('django.db.models.fields.FloatField')()),
            ('stddev', self.gf('django.db.models.fields.FloatField')()),
            ('ran_at', self.gf('django.db.models.fields.DateTimeField')()),
            ('image', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['power.PowerImage'])),
            ('machine', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['power.PowerMachine'])),
        ))
        db.send_create_signal('power', ['PowerMetric'])


    def backwards(self, orm):
        # Deleting model 'PowerImage'
        db.delete_table('power_images')

        # Deleting model 'PowerMachine'
        db.delete_table('power_machines')

        # Deleting model 'PowerMetric'
        db.delete_table('power_metrics')


    models = {
        'power.powerimage': {
            'Meta': {'object_name': 'PowerImage', 'db_table': "'power_images'"},
            'arch': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'build_number': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image_type': ('django.db.models.fields.CharField', [], {'default': "u'daily'", 'max_length': '10'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'md5': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'variant': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        'power.powermachine': {
            'Meta': {'object_name': 'PowerMachine', 'db_table': "'power_machines'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'mac_address': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'power.powermetric': {
            'Meta': {'object_name': 'PowerMetric', 'db_table': "'power_metrics'"},
            'average': ('django.db.models.fields.FloatField', [], {}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['power.PowerImage']"}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'machine': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['power.PowerMachine']"}),
            'maximum': ('django.db.models.fields.FloatField', [], {}),
            'minimum': ('django.db.models.fields.FloatField', [], {}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'stddev': ('django.db.models.fields.FloatField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        }
    }

    complete_apps = ['power']