# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'PowerLog'
        db.create_table('power_logs', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('created_at', self.gf('django.db.models.fields.DateTimeField')(auto_now_add=True, blank=True)),
            ('updated_at', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('internal', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('publish', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('path', self.gf('django.db.models.fields.CharField')(max_length=512)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
        ))
        db.send_create_signal('power', ['PowerLog'])

        # Adding field 'PowerMetric.kernel'
        db.add_column('power_metrics', 'kernel',
                      self.gf('django.db.models.fields.CharField')(max_length=100, null=True),
                      keep_default=False)

        # Adding M2M table for field logs on 'PowerMetric'
        db.create_table('power_metrics_logs', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('powermetric', models.ForeignKey(orm['power.powermetric'], null=False)),
            ('powerlog', models.ForeignKey(orm['power.powerlog'], null=False))
        ))
        db.create_unique('power_metrics_logs', ['powermetric_id', 'powerlog_id'])


    def backwards(self, orm):
        # Deleting model 'PowerLog'
        db.delete_table('power_logs')

        # Deleting field 'PowerMetric.kernel'
        db.delete_column('power_metrics', 'kernel')

        # Removing M2M table for field logs on 'PowerMetric'
        db.delete_table('power_metrics_logs')


    models = {
        'power.powerimage': {
            'Meta': {'object_name': 'PowerImage', 'db_table': "'power_images'"},
            'arch': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'build_number': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image_type': ('django.db.models.fields.CharField', [], {'default': "u'daily'", 'max_length': '10'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'md5': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'variant': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        'power.powerlog': {
            'Meta': {'object_name': 'PowerLog', 'db_table': "'power_logs'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'path': ('django.db.models.fields.CharField', [], {'max_length': '512'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'power.powermachine': {
            'Meta': {'object_name': 'PowerMachine', 'db_table': "'power_machines'"},
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'mac_address': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        'power.powermetric': {
            'Meta': {'object_name': 'PowerMetric', 'db_table': "'power_metrics'"},
            'average': ('django.db.models.fields.FloatField', [], {}),
            'created_at': ('django.db.models.fields.DateTimeField', [], {'auto_now_add': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['power.PowerImage']"}),
            'internal': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'kernel': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True'}),
            'logs': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'metrics'", 'symmetrical': 'False', 'to': "orm['power.PowerLog']"}),
            'machine': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['power.PowerMachine']"}),
            'maximum': ('django.db.models.fields.FloatField', [], {}),
            'minimum': ('django.db.models.fields.FloatField', [], {}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'publish': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'ran_at': ('django.db.models.fields.DateTimeField', [], {}),
            'stddev': ('django.db.models.fields.FloatField', [], {}),
            'updated_at': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        }
    }

    complete_apps = ['power']