import django_tables2 as tables


class MetricTable(tables.Table):
    image__build_number = tables.TemplateColumn(
        '<a href="{{ record.jenkins_url }}">' +
        '{{ record.image__build_number}}</a>',
        verbose_name="Build Number",
    )
    name = tables.Column()
    kernel = tables.Column()
    minimum = tables.TemplateColumn(
        '{{ record.minimum|floatformat:2 }}',
        attrs={'td': {'class': 'num'}}
    )
    maximum = tables.TemplateColumn(
        '{{ record.maximum|floatformat:2 }}',
        attrs={'td': {'class': 'num'}}
    )
    average = tables.TemplateColumn(
        '{{ record.average|floatformat:2 }}',
        attrs={'td': {'class': 'num'}}
    )
    stddev = tables.TemplateColumn(
        '{{ record.stddev|floatformat:2 }}',
        attrs={'td': {'class': 'num'}}
    )
    duration = tables.TemplateColumn(
        '{{ record.duration|floatformat:2 }}',
        attrs={'td': {'class': 'num'}}
    )
    files = tables.TemplateColumn('{{ record.files|safe }}')

    class Meta:
        attrs = {'class': 'basic wide'}
        order_by = ('-image__build_number',)
