#!/bin/bash

set -e

# find the correct directory
basedir=$(readlink -f $(dirname $0))

# set the lock file name
project=$(basename $(readlink -f ${basedir}/..))

# update code, run jenkins_pull_*
(
  flock -x 200

  cd $basedir/..

  # update the code
  bzr pull
  python manage.py syncdb
  python manage.py migrate
  python manage.py collectstatic --noinput

  # run the update script
  scripts/qa-dashboard-update.sh
) 200>/var/lock/$project-update-code
