# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Make sure field lengths match those in smoke/models.py

from django import forms

from smoke.models import Result


class ResultForm(forms.ModelForm):
    class Meta:
        model = Result
        fields = ['name']


class ResultKernelSRUAddForm(forms.Form):
    build_no = forms.CharField(max_length=200)
    job_type = forms.CharField(max_length=200)
    flavor = forms.CharField(max_length=200)
    release = forms.CharField(max_length=200)
    variant = forms.CharField(max_length=200)
    arch = forms.CharField(max_length=200)
    version = forms.CharField(max_length=200)
    build_name = forms.CharField(max_length=200)
    ran_at = forms.DateTimeField()

    pass_count = forms.IntegerField()
    fail_count = forms.IntegerField()
    skip_count = forms.IntegerField()


class ResultSmokeAddForm(forms.Form):
    # Needed for Run class
    build_no = forms.CharField(max_length=200)
    flavor = forms.CharField(max_length=200)
    test_type = forms.CharField(max_length=200, required=False)
    ran_at = forms.DateTimeField()

    # Needed for Build class
    build_name = forms.CharField(max_length=200)

    # Needed for Result class
    pass_count = forms.IntegerField()
    fail_count = forms.IntegerField()
    error_count = forms.IntegerField()


class BugForm(forms.Form):
    bug_no = forms.CharField(max_length=25)
    status = forms.CharField(max_length=50)
